
stages:
  - upload-mr-analysis

workflow:
  rules:
    - if: '$CI_COMMIT_TITLE =~ /^Merge branch.*$/'
      when: never
    - if: $CI_MERGE_REQUEST_IID
    - if: $CI_COMMIT_REF_NAME == "main"

default:
  tags:
    - test # runner 需配置相同tag
  interruptible: true # 任务可被后来pipeline打断

upload-job:
  stage: upload-mr-analysis
  script:
    - echo "running"
